org.apache.cassandra.db.composites

## Interface CBuilder

- All Known Implementing Classes:
    CompoundCType.CompoundCBuilder, SimpleCType.SimpleCBuilder

      public interface CBuilder

  A builder of Composite.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CBuilder` | `add(java.nio.ByteBuffer value)`
    `CBuilder` | `add(java.lang.Object value)`
    `Composite` | `build()`
    `Composite` | `buildWith(java.nio.ByteBuffer value)`
    `Composite` | `buildWith(java.util.List<java.nio.ByteBuffer> values)`
    `int` | `remainingCount()`

- - ### Method Detail

    - #### remainingCount

          int remainingCount()

    - #### add

          CBuilder add(java.nio.ByteBuffer value)

    - #### add

          CBuilder add(java.lang.Object value)

    - #### build

          Composite build()

    - #### buildWith

          Composite buildWith(java.nio.ByteBuffer value)

    - #### buildWith

          Composite buildWith(java.util.List<java.nio.ByteBuffer> values)

Copyright © 2018 The Apache Software Foundation